package es.uv.garcosda.dbcds_s14_2.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import es.uv.garcosda.dbcds_s14_2.domain.Book;
import jakarta.transaction.Transactional;


public interface BookRepository extends JpaRepository<Book, Integer> {
    @Transactional
    @Modifying
    @Query("UPDATE Book u SET u.name=?2 WHERE u.id=?1")
    int updateAddress(Integer id, String name);
}
